Skip to content

Update business profile

PUT
/api/v1/tenant/business-profile

Update the current tenant’s business profile fields.

Authorizations

Request Body required

Request body for PUT /tenant/business-profile.

All fields are optional — only provided fields are updated.

Attributes: name: Business name. description: Brief description. industry: Industry classification. sub_industry: Sub-industry classification. stage: Business stage. business_model: Revenue model. website_url: Business website URL. location: Physical location. employee_count: Number of employees. annual_revenue_range: Revenue range bucket. target_customer: Ideal customer description. unique_value_proposition: Core UVP text. products_services: Products and services description. current_challenges: Current business challenges.

object
annual_revenue_range
Any of:
string
<= 50 characters
business_model
Any of:
string
<= 50 characters
current_challenges
Any of:
Array
description
Any of:
string
employee_count
Any of:
integer
industry
Any of:
string
<= 100 characters
location
Any of:
string
<= 255 characters
name
Any of:
string
<= 255 characters
products_services
Any of:
string
stage
Any of:
string
<= 50 characters
sub_industry
Any of:
string
<= 100 characters
target_customer
Any of:
string
unique_value_proposition
Any of:
string
website_url
Any of:
string
<= 500 characters

Responses

200

Successful Response

Wrapper response for business profile endpoints.

Attributes: data: The business profile payload.

object
data
required

Business profile fields returned by GET /tenant/business-profile.

Attributes: id: Unique profile identifier. tenant_id: Owning tenant UUID. name: Business name. description: Brief description of the business. industry: Industry classification. sub_industry: Sub-industry classification. stage: Business stage (e.g. seed, growth, scale). business_model: Revenue model (e.g. SaaS, marketplace). website_url: Business website URL. location: Physical location. employee_count: Number of employees. annual_revenue_range: Revenue range bucket. target_customer: Description of ideal customer. unique_value_proposition: Core UVP text. products_services: Products and services description. current_challenges: List of current business challenges.

object
annual_revenue_range
required
Any of:
string
business_model
required
Any of:
string
current_challenges
required
Array
description
required
Any of:
string
employee_count
required
Any of:
integer
id
required
string format: uuid
industry
required
Any of:
string
location
required
Any of:
string
name
required
string
products_services
required
Any of:
string
stage
required
Any of:
string
sub_industry
required
Any of:
string
target_customer
required
Any of:
string
tenant_id
required
string format: uuid
unique_value_proposition
required
Any of:
string
website_url
required
Any of:
string

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string